/* Localization Helpers.
 *
 * Copyright (C) 2012 Reece H. Dunn
 *
 * This file is part of cainteoir-gtk.
 *
 * cainteoir-gtk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * cainteoir-gtk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with cainteoir-gtk.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CAINTEOIR_GTK_I18N_H
#define CAINTEOIR_GTK_I88N_H

#include <libintl.h>

/** @brief Translate a string to the user's language.
  *
  * @param[in] text The text to be translated.
  * @return    The text in the user's language.
  */
#define i18n(text) gettext(text)

/** @brief Translate a string to the user's language.
  *
  * The context is used by translators to help them disambiguate words and
  * phrases with ambiguous meaning.
  *
  * @param[in] context The context in which the string is used.
  * @param[in] text    The text to be translated.
  * @return    The text in the user's language.
  */
#define i18nc(context, text) gettext(text)

#endif
